from dataclasses import dataclass
from datetime import date
from decimal import Decimal
from uuid import UUID


@dataclass
class Transaction:
    account: UUID
    date: date
    amount: Decimal
    payee: str  # imported_payee in API
    notes: str
    imported_id: str
